import React, { MouseEvent } from 'react';
import { Node, NodeTypesType, SnapGrid, NodeRendererNode } from '../../types';
interface NodeRendererProps {
    nodeTypes: NodeTypesType;
    selectNodesOnDrag: boolean;
    onNodeClick?: (event: MouseEvent, element: Node) => void;
    onNodeDoubleClick?: (event: MouseEvent, element: Node) => void;
    onNodeMouseEnter?: (event: MouseEvent, node: Node) => void;
    onNodeMouseMove?: (event: MouseEvent, node: Node) => void;
    onNodeMouseLeave?: (event: MouseEvent, node: Node) => void;
    onNodeContextMenu?: (event: MouseEvent, node: Node) => void;
    onNodeDragStart?: (event: MouseEvent, node: Node) => void;
    onNodeDrag?: (event: MouseEvent, node: Node) => void;
    onNodeDragStop?: (event: MouseEvent, node: Node) => void;
    onlyRenderVisibleElements: boolean;
}
interface NodeProps extends NodeRendererProps {
    node: Node;
    nodeType: string;
    childNodes?: NodeRendererNode[];
    xPos?: number;
    yPos?: number;
    isDraggable?: boolean;
    resizeObserver: ResizeObserver | null;
    scale: number;
    snapToGrid: boolean;
    snapGrid: SnapGrid;
    nodesDraggable: boolean;
    nodesConnectable: boolean;
    elementsSelectable: boolean;
    treeLevel?: number;
    isParentNode?: boolean;
}
declare function Node({ node, childNodes, nodeType, isDraggable, resizeObserver, scale, snapToGrid, snapGrid, nodesDraggable, nodesConnectable, elementsSelectable, treeLevel, xPos, yPos, isParentNode, ...props }: NodeProps): JSX.Element;
declare const _default: React.MemoExoticComponent<{
    (props: NodeRendererProps): JSX.Element;
    displayName: string;
}>;
export default _default;
